import { create } from 'zustand'

interface AppStore {
  hideTabsNav: Record<string, boolean>
  setHideTabNav: (caller: string, hidden: boolean) => void
}

export const useAppStore = create<AppStore>((set) => ({
  hideTabsNav: {},
  setHideTabNav: (caller, hidden) =>
    set((state) => ({
      hideTabsNav: { ...state.hideTabsNav, [caller]: hidden },
    })),
}))
